# $Revision: 1.2.2.2 $, $Date: 2003/03/14 14:22:24 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Exporter
%define	pnam	Lite
Summary:	Exporter::Lite - lightweight exporting of variables
Summary(pl):	Exporter::Lite - lekkie eksportowanie zmiennych
Name:		perl-Exporter-Lite
Version:	0.01
Release:	1
License:	?
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an alternative to Exporter intended to provide a lightweight
subset of its functionality.  It supports import(), @EXPORT and
@EXPORT_OK and not a whole lot else.

Unlike Exporter, it is not necessary to inherit from Exporter::Lite
(ie. no @ISA = qw(Exporter::Lite) mantra).  Exporter::Lite simply
exports its import() function.  This might be called a "mix-in".

%description -l pl
Ten modu jest alternatyw dla Exportera majc udostpni lekki
podzbir jego funkcjonalnoci. Obsuguje import(), @EXPORT oraz
@EXPORT_OK i niewiele wicej.

W przeciwiestwie do Exportera, nie trzeba dziedziczy z
Exporter::Lite (czyli wykonywa mantry @ISA = qw(Exporter::Lite)).
Exporter::Lite po prostu eksportuje swoj funkcj import(). Mona
to nazwa "miksowaniem".

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Exporter-Lite.spec,v $
Revision 1.2.2.2  2003/03/14 14:22:24  ankry
- typo

Revision 1.2.2.1  2003/03/11 12:25:34  ankry
- for RA, require new perl.prov, minor fixes

Revision 1.2  2003/03/03 23:26:35  qboosh
- pl description

Revision 1.1  2003/03/02 13:35:24  radek
- new
